commit:     fb6b7aa8f4e799b40e16cfd9a923797567b30d3b
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Mon Sep  7 11:31:19 2015 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Mon Sep  7 11:31:19 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fb6b7aa8

all-shells/autojump: Make use of ${PN} and remove trailing spaces.

Package-Manager: portage-2.2.18
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 app-shells/autojump/autojump-22.2.4-r1.ebuild | 53 +++++++++++++--------------
 1 file changed, 25 insertions(+), 28 deletions(-)

diff --git a/app-shells/autojump/autojump-22.2.4-r1.ebuild 
b/app-shells/autojump/autojump-22.2.4-r1.ebuild
index 0364cca..be4106d 100644
--- a/app-shells/autojump/autojump-22.2.4-r1.ebuild
+++ b/app-shells/autojump/autojump-22.2.4-r1.ebuild
@@ -20,46 +20,43 @@ IUSE="bash-completion python test zsh-completion"
 # Not all tests pass. Need investigation.
 RESTRICT="test"
 RDEPEND="bash-completion? ( >=app-shells/bash-4 )
-        python? ( ${PYTHON_DEPS} )
-        zsh-completion? ( app-shells/zsh app-shells/gentoo-zsh-completions )"
-DEPEND="test? (
-                dev-python/flake8
-                dev-python/tox
-        )"
+       python? ( ${PYTHON_DEPS} )
+       zsh-completion? ( app-shells/zsh app-shells/gentoo-zsh-completions )"
+DEPEND="test? ( dev-python/flake8 dev-python/tox )"
 
 src_prepare() {
-        sed -e "s: \(/etc/profile.d\): \"${EPREFIX}\1\":" \
-                -i bin/autojump.sh || die
+       sed -e "s: \(/etc/profile.d\): \"${EPREFIX}\1\":" \
+               -i bin/autojump.sh || die
 }
 
 src_compile() {
-        true
+       true
 }
 
 src_install() {
-        dobin bin/autojump
+       dobin bin/autojump
 
-        insinto /etc/profile.d
-        doins bin/${PN}.sh
+       insinto /etc/profile.d
+       doins bin/${PN}.sh
 
-        insinto /usr/local/share/autojump/
-        if use bash-completion ; then
-                doins bin/${PN}.bash
-        fi
+       insinto /usr/local/share/"${PN}"/
+       if use bash-completion ; then
+               doins bin/${PN}.bash
+       fi
 
-        if use zsh-completion ; then
-                doins bin/${PN}.zsh
-                insinto /usr/share/zsh/site-functions
-                doins bin/_j
-        fi
+       if use zsh-completion ; then
+               doins bin/${PN}.zsh
+               insinto /usr/share/zsh/site-functions
+               doins bin/_j
+       fi
 
-        if use python ; then
-                python_foreach_impl python_domodule tools/autojump_ipython.py 
bin/autojump_argparse.py bin/autojump_data.py bin/autojump_utils.py
+       if use python ; then
+               python_foreach_impl python_domodule tools/autojump_ipython.py 
bin/autojump_argparse.py bin/autojump_data.py bin/autojump_utils.py
 
-                einfo "This tool provides \"j\" for ipython, please add"
-                einfo "\"import autojump_ipython\" to your ipy_user_conf.py."
-        fi
+               einfo "This tool provides \"j\" for ipython, please add"
+               einfo "\"import autojump_ipython\" to your ipy_user_conf.py."
+       fi
 
-        doman docs/${PN}.1
-        dodoc README.md
+       doman docs/${PN}.1
+       dodoc README.md
 }

Reply via email to